Index: branch/GUIFO/sp4c12/TPC/TPC/TPC.c
===================================================================
--- branch/GUIFO/sp4c12/TPC/TPC/TPC.c	(revision 823)
+++ branch/GUIFO/sp4c12/TPC/TPC/TPC.c	(revision 824)
@@ -51,11 +51,12 @@
 	crd_u0c0 =  1;
 	nch_u0c0 = 0;
 	ckpol_u0c0 = 0;
-	uform_u0c0 0;
+	uform_u0c0 = 0;
 //definition du u0brg
 	u0brg = 0xFF;
 
 //Configuration du registre u0c1
+	ti_u0c1=1;
 	te_u0c1 = 0;
 	re_u0c1 = 0;
     u0rrm_u0c1 = 0;
@@ -69,11 +70,13 @@
 
 void uart0_tx(char c)
 {
+
     crd_u0c0 = 1;
-    crs_u0c0 = 0;
-	te_u0c1 = 1;
-	u0tb = c;
-	te_u0c1 = 0;
+    crs_u0c0 = 0;	
+	u0tb     = c;	
+	te_u0c1  = 0;
+	
+	
 }
 char uart0_rx()
 {
@@ -84,7 +87,7 @@
 	c= u0rb;
 	return c;
 }
-void main(void)
+/*void main(void)
 {
     char c='A';
     uart0_init();
@@ -91,15 +94,16 @@
     while (1){
         uart0_tx(c);
     }
-}
-/*void main(void)
+}*/
+void main(void)
 {
     char alpha;
+	
     uart0_init();
-    while (1){
-        for(alpha = 'A' ; alpha <= 'Z' ; alpha++)
-        {
-            uart0_tx(alpha);
-        }
-    }
-}*/
+	te_u0c1  = 1;   	
+        for(alpha = 'A' ; alpha <='Z' ; alpha++)
+        {    
+			while(ti_u0c1==0);
+			u0tb=alpha;	
+		}
+}
Index: branch/GUIFO/sp4c12/TPC/TPC/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/GUIFO/sp4c12/TPC/TPC/SessionM32C_E8a_SYSTEM.hsf	(revision 823)
+++ branch/GUIFO/sp4c12/TPC/TPC/SessionM32C_E8a_SYSTEM.hsf	(revision 824)
@@ -64,13 +64,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE02DF" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000700" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000A00" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000081" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -87,10 +87,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FE0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -120,7 +120,9 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth12" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "alpha, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "1" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "150" 
@@ -718,10 +720,10 @@
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_00000001_IO}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 3 "0.02" 180 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
-"{WK_00000001_LOCALS}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.37" 180 1600 -279 350 200 18 0 "32772|32776|32777|32778|32779" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.18" 180 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_STATUS}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.25" 180 1600 -279 350 200 18 0 "" "0.0" 
-"{WK_00000001_WATCH}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 4 "0.19" 180 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32829|32772|32827|32773|<<separator>>|32786|<<separator>>|32810|32811|32831" "0.0" 
+"{WK_00000001_LOCALS}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.58" 180 1600 -279 350 200 18 0 "32772|32776|32777|32778|32779" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.15" 180 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_STATUS}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.12" 180 1600 -279 350 200 18 0 "" "0.0" 
+"{WK_00000001_WATCH}TPCSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 4 "0.14" 180 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32829|32772|32827|32773|<<separator>>|32786|<<separator>>|32810|32811|32831" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 534 287 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 